---
title: "EC2A Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/EC2A"
canonical_url: "https://regulex.uk/directory/postcode/EC2A"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area EC2A. Monitoring 261 accountancy practices and 6,087,420 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/EC2A](https://regulex.uk/directory/postcode/EC2A)
>
> *Statutory compliance registry for postal area EC2A. Monitoring 261 accountancy practices and 6,087,420 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in EC2A

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [5 RIVERS ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=09694249) CRN: 09694249 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09694249) |
| 2 | [A AND M HOLDING GROUP LTD](https://regulex.uk/practice/dashboard?crn=16964993) CRN: 16964993 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16964993) |
| 3 | [A&Z ACCOUNTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=10134438) CRN: 10134438 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10134438) |
| 4 | [AARON ANDERSON & MCKINSEY LIMITED](https://regulex.uk/practice/dashboard?crn=02976743) CRN: 02976743 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=02976743) |
| 5 | [ABHURA ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=15696695) CRN: 15696695 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15696695) |
| 6 | [ACCLIVITY ADVISORS LTD](https://regulex.uk/practice/dashboard?crn=11807045) CRN: 11807045 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11807045) |
| 7 | [ACCOFF SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=10388143) CRN: 10388143 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10388143) |
| 8 | [ACCOUNTANTS4ALL LIMITED](https://regulex.uk/practice/dashboard?crn=11634739) CRN: 11634739 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11634739) |
| 9 | [ACCOUNTHELP LTD](https://regulex.uk/practice/dashboard?crn=14890162) CRN: 14890162 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14890162) |
| 10 | [ACCOUNTSFORME LTD](https://regulex.uk/practice/dashboard?crn=08773037) CRN: 08773037 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08773037) |
| 11 | [ACCUACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=10614200) CRN: 10614200 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10614200) |
| 12 | [ACCUCALC LIMITED](https://regulex.uk/practice/dashboard?crn=16044482) CRN: 16044482 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16044482) |
| 13 | [ACCURUS LTD](https://regulex.uk/practice/dashboard?crn=13773136) CRN: 13773136 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13773136) |
| 14 | [ADDER BOOKKEEPING LTD](https://regulex.uk/practice/dashboard?crn=10650983) CRN: 10650983 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10650983) |
| 15 | [ADROIT BOOKKEEPING AND CONSULTANCY LTD](https://regulex.uk/practice/dashboard?crn=13200389) CRN: 13200389 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13200389) |
| 16 | [AHS ACCOUNTING SERVICES LTD](https://regulex.uk/practice/dashboard?crn=16622779) CRN: 16622779 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16622779) |
| 17 | [AISG FINANCE AND ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=17093316) CRN: 17093316 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17093316) |
| 18 | [AJABU CONSULTANCY LTD](https://regulex.uk/practice/dashboard?crn=14613992) CRN: 14613992 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14613992) |
| 19 | [AJAP UK LTD.](https://regulex.uk/practice/dashboard?crn=14346434) CRN: 14346434 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14346434) |
| 20 | [ALI ROSLI CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=16939891) CRN: 16939891 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16939891) |
| 21 | [AMAK & COMPANY LIMITED](https://regulex.uk/practice/dashboard?crn=07379455) CRN: 07379455 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07379455) |
| 22 | [AS ACCOUNTING BUSINESS SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=16686882) CRN: 16686882 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16686882) |
| 23 | [ASB BOOKKEEPING SERVICES LTD](https://regulex.uk/practice/dashboard?crn=16433260) CRN: 16433260 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16433260) |
| 24 | [ASCENDANT ACQUISITIONS LTD](https://regulex.uk/practice/dashboard?crn=15726239) CRN: 15726239 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15726239) |
| 25 | [ASCENDANT AUDIT LIMITED](https://regulex.uk/practice/dashboard?crn=08647307) CRN: 08647307 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08647307) |
| 26 | [ASCENDANT INVESTMENTS LIMITED](https://regulex.uk/practice/dashboard?crn=15456438) CRN: 15456438 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15456438) |
| 27 | [ASCENDANT ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=08990192) CRN: 08990192 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08990192) |
| 28 | [ASCENDANT IRELAND HOLDINGS LTD](https://regulex.uk/practice/dashboard?crn=16690548) CRN: 16690548 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16690548) |
| 29 | [ASENSO FINANCIAL SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=16607644) CRN: 16607644 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16607644) |
| 30 | [AUDITHELP LTD](https://regulex.uk/practice/dashboard?crn=13653495) CRN: 13653495 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13653495) |
| 31 | [B&S ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=14559579) CRN: 14559579 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14559579) |
| 32 | [BALANCED LIFE ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=15659498) CRN: 15659498 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15659498) |
| 33 | [BALVORA LTD](https://regulex.uk/practice/dashboard?crn=16510015) CRN: 16510015 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16510015) |
| 34 | [BANDRIGHT LTD](https://regulex.uk/practice/dashboard?crn=16278568) CRN: 16278568 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16278568) |
| 35 | [BARNES & SCOTT LTD](https://regulex.uk/practice/dashboard?crn=08115863) CRN: 08115863 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08115863) |
| 36 | [BEFREE GLOBAL LIMITED](https://regulex.uk/practice/dashboard?crn=11306028) CRN: 11306028 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11306028) |
| 37 | [BKS7 LTD](https://regulex.uk/practice/dashboard?crn=14355801) CRN: 14355801 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14355801) |
| 38 | [BOLTON ACCOUNTING CONSULTANTS LTD](https://regulex.uk/practice/dashboard?crn=16052718) CRN: 16052718 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16052718) |
| 39 | [BOROKHOVYCH CONSULTING SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=15441918) CRN: 15441918 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15441918) |
| 40 | [BOSS PROFIT LIMITED](https://regulex.uk/practice/dashboard?crn=13614536) CRN: 13614536 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13614536) |
| 41 | [BOWKER ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=16624406) CRN: 16624406 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16624406) |
| 42 | [BOXWOOD ACCOUNTANTS AND TAX ADVISERS LTD](https://regulex.uk/practice/dashboard?crn=06441016) CRN: 06441016 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06441016) |
| 43 | [BROADPATH CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=09957947) CRN: 09957947 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09957947) |
| 44 | [BUZZ THE BOOKS LTD](https://regulex.uk/practice/dashboard?crn=15888615) CRN: 15888615 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15888615) |
| 45 | [CAPSHIRE LIMITED](https://regulex.uk/practice/dashboard?crn=06956107) CRN: 06956107 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06956107) |
| 46 | [CAPSHIRE AUDIT LTD](https://regulex.uk/practice/dashboard?crn=05942169) CRN: 05942169 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=05942169) |
| 47 | [CAPSHIRE MEDICARE LIMITED](https://regulex.uk/practice/dashboard?crn=09714911) CRN: 09714911 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09714911) |
| 48 | [CHIPCOUNT LTD](https://regulex.uk/practice/dashboard?crn=17041197) CRN: 17041197 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17041197) |
| 49 | [CITY SOLUTION (UK) LTD](https://regulex.uk/practice/dashboard?crn=09145699) CRN: 09145699 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09145699) |
| 50 | [CLOUD BUSINESS SETUP SERVICES PRIVATE LIMITED](https://regulex.uk/practice/dashboard?crn=16295755) CRN: 16295755 • EC2A 4NE | 29265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16295755) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/EC2A](https://regulex.uk/directory/postcode/EC2A).
